
import java.io.*;

import evote.election.*;
import evote.question.*;
import evote.lang.*;

public class ElectionToHtml {

    private static final int NUM_PREFS=3;

    public static String getUrlString(String name) {
	return(name);
    }

    public static void main(String argv[]) {
	try {
	    ElectionLoader eLoader= new ElectionLoader(argv);
	    Election myElection= eLoader.getElection();

	    QuestionList[] qlists= myElection.getQuestionLists();

	    System.out.println("found " + qlists.length + " questionlists");

	    for (int i=0; i<qlists.length; i++) {
		System.out.println("processing question list #" + i);

		String qlString= processOneQuestionList(i, qlists[i]);
		FileOutputStream fos= new FileOutputStream("questionlist"+i+".html");
		PrintStream ps= new PrintStream(fos);
		ps.println(qlString);
		fos.close();
		ps.close();
	    }

	    System.out.println("done");

	} catch(Exception exc) {
	    exc.printStackTrace();
	}

	System.exit(0);
    }

    private static String selectMenu(String name, int num_choices) {
	String returnString= "<SELECT NAME="+name+">\n";
	returnString+= "<OPTION VALUE=\"\"> --\n";

	for (int i=1; i<=num_choices; i++) {
	    returnString+= "<OPTION VALUE="+i+"> " + i + "\n";
	}

	returnString+= "</SELECT>";

	return(returnString);
    }
    
    private static String radioButton(String qname, String value) {
	return("<INPUT TYPE=radio name=" + qname + " value=" + value + ">");
    }

    public static String processOneQuestionList(int ql_num, QuestionList ql) {
	String name= ql.getName();
	String returnString= "<HEAD><TITLE>" + name + "</TITLE></HEAD>";
    
	returnString+= "<BODY bgcolor=white><blockquote><H2>Set of Questions: "+name+"</H2><hr><p>\n";
	
	// returnString+= "<font face=Helvetica size=+1>This system is a preferential voting scheme. Please rank your choices (1 being your top choice) using the drop-down boxes next to each name. You may write-in a candidate by using any of the write-in fields and choosing your desired ranking next to that write-in field.<p>\n<strong>Please note that if there is a BREAK in your list of preferences (i.e. you choose a candidate as 1st choice and another as 3rd choice, but no one as 2nd choice), all choices you mark after this break will NOT be recorded.</strong><p><hr><p>";

	returnString+= "<FORM NAME=questionListForm>\n";
	int nq= ql.getNumQuestions();

	returnString+= "<INPUT TYPE=hidden name=numQuestions value="+nq+ ">";
	returnString+= "<INPUT TYPE=hidden name=questionListNumber value="+ql_num+">\n";

	for (int i=0; i<nq; i++) {
	    returnString+= processQuestion(i, ql.getQuestion(i));
	    returnString+= "<p><hr><p>";
	}

	returnString+= "<INPUT TYPE=button onClick=top.frames[0].processQuestionList(document.questionListForm) value=record></FORM>\n";
    
	returnString+= "<p></blockquote></body>";

	return(returnString);
    }

    public static String processQuestion(int num, Question q) {
	int num_answers= q.getNumAnswers();

	String returnString= "";
	returnString+= "<font size=+2 face=Helvetica>"+q.getQuestion()+"</font><br>\n";

	String[] answers= q.getAnswers();

	String questionName= "choice" + num;

	for (int i=0; i<num_answers; i++) {
	    returnString+= radioButton(questionName, "" + i);
	    returnString+= "  <strong>" + getUrlString(answers[i]) + "</strong><br>\n";
	}

	returnString+= "<p>";

	return(returnString);
    }
}
