/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  Interface specifying the methods need to perform blinding.
  */
public interface Blind {
  
  /**
    The class must have a method to blind which throws an exception if it is
    unable to blind the input (say due to a lack of keys).
    */
  public byte[] blind(byte[] input) throws Exception;
  
  /**
    The class must have a method to unblind which throws an exception if it is
    unable to unblind the input (say due to a lack of keys).
    */
  public byte[] unblind(byte[] input) throws Exception;
}
