/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  Interface specifying the methods needed by an encryption class.
  */
public interface EncryptClass {
  
  /**
    The class must have a method to encrypt.
    */
  public byte[] encrypt(byte[] input) throws Exception;
  
  /**
    The class must have a method to decrypt.
    */
  public byte[] decrypt(byte[] input) throws Exception;
  
  /**
    The class must have a method to get an EncryptionKey.
    */
  public EncryptionKey getEncryptionKey() throws Exception;
  
}
