/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  This interface defines the methods need for anything requireing integrity,
  such as a MAC used in communications.
  */
public interface IntegrityClass {
  
  /**
    Must be able to make a checksum.
    */
  public byte[] makeChecksum(byte[] b);
  
  /**
    Must be able to make verify the checksum.
    */
  public boolean verify(byte[] msg, byte[] alledged);
  
  /**
    Must be able to access the keys (if any) used in making the checksum.
    */
  public IntegrityKeys getKeys();
  
}
