/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  Interface used to defnate method needed by a class which signs objects (in
  the cryptographic sense).
  */
public interface Signer {
  
  /**
    Must sign.
    */  
  public byte[] sign(byte[] b);
  
  /**
    Must verify signature.
    */
  public boolean verify(byte[] data, byte[] supposed_sign);
  
}
