/*
 * User Watcher
 */

package evote.identity;

import java.awt.*;
import java.awt.event.*;

public class UserListWatcher extends Frame implements ActionListener {

  /* Data */
  private UserList myUserList;
  private User[] users;

  /* GUI */
  private List guiList;
  
  public UserListWatcher(UserList ul) {
    myUserList= ul;

    guiList= new List();
    
    users= ul.getUsers();
    
    for (int i=0; i<users.length; i++)
      guiList.add(getUserString(users[i]));

    guiList.addActionListener(this);

    this.add("Center",guiList);
    this.setSize(400,600);
    this.pack();
    this.show();
  }

  private String getUserString(User u) {
    String userString= "";
    
    if (u.hasVoted())
      userString+= " - X - ";
    else
      userString+= " -   - ";
    
    userString+= u.getUserName() + " - " + u.getLastName() + ", " + u.getFirstName();
    
    return(userString);
  }

  private String getOtherUserString(User u) {
    String userString= "";
    
    if (u.hasVoted())
      userString+= " -   - ";
    else
      userString+= " - X - ";
    
    userString+= u.getUserName() + " - " + u.getLastName() + ", " + u.getFirstName();
    
    return(userString);
  }

  public void update(User u) {
    for (int i=0 ; i<users.length; i++) {
      if (users[i] == u) {
	guiList.replaceItem(getUserString(u), i);
      }
    }
  }

  public void actionPerformed(ActionEvent ae) {
    int where= guiList.getSelectedIndex();
    
    if (users[where].hasVoted())
      users[where].clear();
    else
      users[where].voted();

    update(users[where]);
  }
}
    
