package evote.network.message;

import java.io.*;
import java.math.BigInteger;
import java.security.*;

import evote.commissioner.*;
import evote.commissioner.complaints.*;
import evote.crypto.*;
import evote.crypto.Signer;
import evote.network.server.Message;

public class ComplaintMessage extends Message {
  private Complaint cmplt = null;
  private byte[] signature = null;
  private boolean signed = false;

  public ComplaintMessage(Complaint com) {
    super("","");
    cmplt = com;
  }

  public ComplaintMessage(Complaint com, Signer s) {
    super("","");
    cmplt = com;
    try {
      signature = s.sign((MessageDigest.getInstance("SHA")).digest(cmplt.serialize()));
      signed = true;
    } catch (Exception exp) {
      System.err.println("Error while signing complaint.");
    }
  }

  public Complaint getComplaint() {
    return cmplt;

  }

  public boolean VerifySignature(Signer s) throws Exception {
    if (signed) {
      if (0 == (new BigInteger(signature)).compareTo(new BigInteger(s.sign((MessageDigest.getInstance("SHA")).digest(cmplt.serialize()))))) {
	return true;
      } else {
	return false;
      }
    } else {
      throw(new Exception("Error while signing complaint."));
    }
  }

}



