/* Electronic Voting Project
 * This is the Event for any Blacklist-related event.
 * Ben Adida (ben@mit.edu)
 */

package evote.network.server;

import java.util.EventListener;
import java.util.EventObject;
import evote.network.server.ConnectionListener;
import java.net.InetAddress;


/**
 * A Black List event
 *
 * These are events that are used to communicate Black List 
 * related events from the Server to the Server Interface.
 */
public class BlackListEvent extends EventObject {
  private InetAddress bad_ia;
  
  public BlackListEvent(InetAddress ia) {
    super(ia);
    this.bad_ia= ia;
  }

  public InetAddress getInetAddress() {
    return(this.bad_ia);
  }
}
