/*
 * Question List
 */

package evote.question;

import java.io.*;

public class QuestionList implements Serializable {
  
  private Question[] questions;
  private String name;
  private int questionListID;

  private QuestionList() {
  }

  public QuestionList(int num_questions) {
    questions= new Question[num_questions];
  }

  public void setName(String name) {
    this.name= name;
  }

  public String getName() {
    return(this.name);
  }

  public void setQuestion(int pos, Question qu) {
    questions[pos]= qu;
  }

  public void setID(int id) {
    questionListID= id;
  }

  public int getID() {
    return(questionListID);
  }
  
  public void renumberQuestions() {
    for (int i=0; i<questions.length; i++) {
      if (questions[i] != null) {
	questions[i].setQuestionListID(questionListID);
	questions[i].setQuestionID(i);
      }
    }
  }
      
  public Question getQuestion(int pos) {
    return(questions[pos]);
  }

  public int getNumQuestions() {
    return(questions.length);
  }

  public void append(QuestionList ql) {
    Question[] new_questions= new Question[questions.length + ql.questions.length];
    
    for (int i=0; i<questions.length; i++)
      new_questions[i]= questions[i];
    
    for (int i=0; i<ql.questions.length; i++)
      new_questions[i+questions.length]= ql.questions[i];

    this.questions= new_questions;
  }

  public byte[] serialize() {
    try {
      ByteArrayOutputStream baos= new ByteArrayOutputStream();
      ObjectOutputStream oos= new ObjectOutputStream(baos);
      oos.writeObject(this);
      
      return(baos.toByteArray());
    } catch(Exception exc) {
      return(null);
    }
  }

  public static QuestionList deSerialize(byte[] bytes) {
    try {
      ByteArrayInputStream bais= new ByteArrayInputStream(bytes);
      ObjectInputStream ois= new ObjectInputStream(bais);
      return((QuestionList)ois.readObject());
    } catch(Exception exc) {
      return(null);
    }
  }

  public Object clone() {
    QuestionList ql= new QuestionList();
    
    ql.questions= (Question[])this.questions.clone();
    return(ql);
  }

}
