/* Evoting Project
 * Vote Message Object
 * This class represents a Vote Message, which is what the voter
 * needs to send to the Counter, via the anonymizer
 */

package evote.network.message;

import evote.lang.Vote; 
import evote.network.server.*;
import evote.crypto.*;
import evote.lang.*;

public class VoteMessage extends Message {
  private Vote my_vote;
  private VoterIdentityObject vido;

  public VoteMessage(Vote v) {
    super("","");
    my_vote= v;
    vido = null;
  }

  public VoteMessage(Vote v, VoterIdentityObject id) {
    super("","");
    my_vote= v;
    vido = id;
  }

  public Vote getVote() {
    return(my_vote);
  }

  public VoterIdentityObject getVoterID() throws Exception {
    if (vido != null) {
      return(vido);
    } else {
      throw (new Exception("Voter ID not included in message."));
    }
  }



}
  
  
  
