/* Electronic Voting Project
 * This is the Event for any Connection-related event.
 * Ben Adida (ben@mit.edu)
 */

package evote.network.server;

import java.util.EventListener;
import java.util.EventObject;
import evote.network.server.ConnectionListener;
import java.net.InetAddress;

/** 
 * Events related to Connection
 */
public class ConnectionEvent extends EventObject {
  private int thread_number;
  private InetAddress connected_to;
  
  public ConnectionEvent(int t_num, InetAddress ia) {
    super(ia);
    this.thread_number= t_num;
    this.connected_to= ia;
  }

  public ConnectionEvent(int t_num) {
    super(new Integer(t_num));
    this.thread_number= t_num;
    this.connected_to= null;
  }

  public int getThreadNumber() {
    return(this.thread_number);
  }

  public InetAddress getInetAddress() {
    return(this.connected_to);
  }

}
