/* Electronic Voting Project
 * Message class
 * written by Ben Adida (ben@mit.edu)
 */

package evote.network.server;

import java.io.Serializable;

/**
 * A container for any network communication
 * 
 * This class is used by <pre>Connection</pre> to send information
 * over the network
 * 
 * @see evote.network.server.Connection
 */
public class Message implements Serializable {
  protected String sender, recipient;
  
  /**
   * Creates a new Message
   *
   * @argument s the sender string
   * @argument r the receiver string
   * @return the new Message
   */
  public Message(String s, String r) {
    sender= s;
    recipient= r;
  }
  
  /** 
   * gets the sender string
   *
   * @return the sender string
   */
  public String getSender(){
    return(sender);
  }

  /** 
   * gets the recipient string
   *
   * @return the recipient string
   */
  public String getRecipient() {
    return(recipient);
  }
  
}
