/*
 * This program parses the list from the Registrar and creates
 * userlists for the Evox system
 */

package evote.parser;

import evote.identity.*;
import java.util.*;
import java.io.*;

public class SimpleUserListParser {
  
  private static ObjectOutputStream mainStream;
  private static DataInputStream dis;

  public static void main(String argv[]) {
    if (argv.length != 1) {
      System.err.println("incorrect usage");
      System.exit(0);
    }

    System.out.println("file: "  + argv[0]);

    try {
      dis= new DataInputStream(new FileInputStream(argv[0]));
    } 
    catch (IOException exc) {
      System.err.println("Couldn't open input file");
      System.exit(0);
    }


    /* Create the user lists */
    UserList mainList;
    mainList= new UserList();
    mainList.setName("Main");

    /* Start the loop for reading */
    /* The format of the line is:
     * username password
     */
    
    String line,uname,email, password;
    StringTokenizer tok;
    User currentUser;
    int year_num=0;

    while (true) {
      try {
	line= dis.readLine();
      }
      catch(Exception exc) {
	break;
      }

      if ((line == null)||(line==""))
	break;

      try {
	tok= new StringTokenizer(line);
	uname= tok.nextToken();
	email= uname + "@mit.edu";

	password= tok.nextToken();
      }
      catch(NoSuchElementException exc) {
	System.err.println("parsing error for \n " + line + "\n");
	System.err.println("ignoring that user");
	continue;
      }
	
      currentUser= new User(uname,"","",email);
      currentUser.setPassword(null, password);

      try {
	mainList.addUser(currentUser);
      } catch(UserNameTakenException exc) {
	System.err.println("USER NAME TAKEN!!");
	System.exit(0);
      }
    
      System.out.print(".");
    }
    System.out.println("done");

    /* Write the userlists out */
    try {
      mainStream= new ObjectOutputStream(new FileOutputStream("main.userlist"));
      
      mainStream.writeObject(mainList);

      mainStream.close();
    }
    catch(Exception exc) {
      System.err.println("Couldn't write out the userlist files");
    }

  }
}
      
